Bug 7678 - Corrupted .gnome/gnorpm.d/resources/fullIndex.rdf.gz
Corrupted .gnome/gnorpm.d/resources/fullIndex.rdf.gz
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-08 01:06 EST by culliton
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-30 03:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description culliton 1999-12-08 01:06:54 EST
I somehow got a corrupted .gnome/gnorpm.d/resources/fullIndex.rdf.gz file
in the last week or so.  (gzip complained about a premature EOF when I
tried to examine it.) This causes major problems with the preferences menu
and webfind rendering both of them useless and unrecoverable.  The
preferences menu core dumps and webfind hangs.  Manually deleting the file
and allowing it to download a fresh copy seems to solve the problem.  Not a
good solution for Joe User Jr. though.  Yet another example of gnorpm's
fragility in the face of bad or missing data files.  The preferences pop up
seems particularly bad about this, dumping core at the slightest
provocation.  If there isn't a simple fix I'd almost suggest adding a
button that essentially says "I think the config/data files are hosed.
Please clear the bad ones out and get or generate nice clean ones."  At
least then a user could restore the application to a working state.
Comment 1 Alan Cox 2000-08-30 03:46:25 EDT
The CVS version of gnorpm is now a lot more resilient to errors -both the crash
on preferences dialog problem and downloading half an XML file

Note You need to log in before you can comment on or make changes to this bug.